FunnelFlux Pro API DocumentsFunnelFlux Pro API Documents
  • Changelog
  • Status
  • Dashboard
  • Documentation
  • Authentication
  • Domains
  • Assets
  • Reporting
Information
Reporting
    List available attributesgetCreate a drilldown reportpostCreate a raw event reportpost
Updates
    Submit a conversion updateputSubmit a custom event updateputSubmit a cost updateputValidate a data resetpostPerform a data resetdelete
Logs
    Get postback logpostGet webhook asset summarypostGet middleware asset summarypostGet postback logpost
Explorer
    Look up a visitorpostLook up a single hitpost
Schemas
FunnelFlux Reporting API
FunnelFlux Reporting API

Explorer

Download schema

Visitor and hit lookup endpoints


Look up a visitor

POST
https://api.funnelflux.pro/v1
/reporting/explorer/visitor

Look up a visitor's session and hit history. Provide either a visitorId (with timeStart/timeEnd) or a hitId to find the visitor.

Look up a visitor › Request Body

ExplorerVisitorRequest
visitorId
​string

Visitor ID to look up. Requires timeStart and timeEnd when used.

hitId
​string

Hit ID to find the visitor for. Alternative to visitorId.

timeStart
​string · date-time

Start of time range (RFC3339). Required when using visitorId.

timeEnd
​string · date-time

End of time range (RFC3339). Required when using visitorId.

Look up a visitor › Responses

The visitor info and their hit list

ExplorerVisitorResponse
​VisitorInfo

Visitor session summary derived from the entrance hit

​ExplorerHitRow[]
hasMore
​boolean

True if there are more hits beyond the returned set

POST/reporting/explorer/visitor
curl --request POST \ --url https://api.funnelflux.pro/v1/reporting/explorer/visitor \ --header 'Content-Type: application/json' \ --data ' { "visitorId": "visitorId", "hitId": "hitId", "timeStart": "2024-08-25T15:00:00Z", "timeEnd": "2024-08-25T15:00:00Z" } '
Example Request Body
{ "visitorId": "visitorId", "hitId": "hitId", "timeStart": "2024-08-25T15:00:00Z", "timeEnd": "2024-08-25T15:00:00Z" }
json
Example Responses
{ "visitor": { "visitorId": "visitorId", "ip": "ip", "country": "country", "region": "region", "city": "city", "isp": "isp", "connectionType": "connectionType", "mobileCarrier": "mobileCarrier", "deviceType": "deviceType", "deviceBrand": "deviceBrand", "deviceModel": "deviceModel", "deviceModelName": "deviceModelName", "deviceOS": "deviceOS", "deviceOSVersion": "deviceOSVersion", "browser": "browser", "browserVersion": "browserVersion", "language": "language", "userAgent": "userAgent", "firstSeen": "firstSeen", "lastSeen": "lastSeen", "totalHits": 0 }, "hits": [ { "hitId": "hitId", "eventType": "eventType", "eventTime": "eventTime", "funnelId": "funnelId", "funnelName": "funnelName", "nodeId": "nodeId", "nodeName": "nodeName", "nodeType": "nodeType", "trafficSourceId": "trafficSourceId", "trafficSourceName": "trafficSourceName", "pageId": "pageId", "pageName": "pageName", "pageGroupId": "pageGroupId", "pageGroupName": "pageGroupName", "funnelGroupId": "funnelGroupId", "funnelGroupName": "funnelGroupName", "offerSourceId": "offerSourceId", "offerSourceName": "offerSourceName", "categoryId": "categoryId", "categoryName": "categoryName", "cost": 0, "revenue": 0, "totalRevenue": 0, "clickId": "clickId", "conversionId": "conversionId", "conversionTransaction": "conversionTransaction", "trackingDomain": "trackingDomain", "externalId": "externalId", "subCampaign": "subCampaign", "t1": "t1", "t2": "t2", "t3": "t3", "t4": "t4", "t5": "t5", "t6": "t6", "t7": "t7", "t8": "t8", "t9": "t9", "t10": "t10", "t11": "t11", "t12": "t12", "t13": "t13", "t14": "t14", "t15": "t15", "t16": "t16", "t17": "t17", "t18": "t18", "t19": "t19", "t20": "t20", "eventData1": "eventData1", "eventData2": "eventData2" } ], "hasMore": true }
json
application/json

Look up a single hit

POST
https://api.funnelflux.pro/v1
/reporting/explorer/hit

Look up full details for a single hit by its ID. Returns all event, device, geo, connection, and tracking data for the hit.

Look up a single hit › Request Body

ExplorerHitRequest
hitId
​string · required

The hit ID to look up

timeStart
​string · date-time

Optional date hint for partition elimination when hit ID parsing fails

Look up a single hit › Responses

The full hit detail

ExplorerHitResponse
​ExplorerHitDetail[]

All events for this hit ID — the original hit event, plus any conversion, customEvent1–10 events that reference it. Ordered by eventTime ASC.

POST/reporting/explorer/hit
curl --request POST \ --url https://api.funnelflux.pro/v1/reporting/explorer/hit \ --header 'Content-Type: application/json' \ --data ' { "hitId": "hitId", "timeStart": "2024-08-25T15:00:00Z" } '
Example Request Body
{ "hitId": "hitId", "timeStart": "2024-08-25T15:00:00Z" }
json
Example Responses
{ "events": [ { "hitId": "hitId", "visitorId": "visitorId", "eventType": "eventType", "eventTime": "eventTime", "hitTime": "hitTime", "funnelId": "funnelId", "funnelName": "funnelName", "nodeId": "nodeId", "nodeName": "nodeName", "nodeType": "nodeType", "trafficSourceId": "trafficSourceId", "trafficSourceName": "trafficSourceName", "pageId": "pageId", "pageName": "pageName", "pageGroupId": "pageGroupId", "pageGroupName": "pageGroupName", "funnelGroupId": "funnelGroupId", "funnelGroupName": "funnelGroupName", "offerSourceId": "offerSourceId", "offerSourceName": "offerSourceName", "categoryId": "categoryId", "categoryName": "categoryName", "ip": "ip", "ipv6": "ipv6", "country": "country", "continent": "continent", "region": "region", "city": "city", "isp": "isp", "connectionType": "connectionType", "mobileCarrier": "mobileCarrier", "referrerDomain": "referrerDomain", "referrerPath": "referrerPath", "deviceType": "deviceType", "deviceBrand": "deviceBrand", "deviceModel": "deviceModel", "deviceModelName": "deviceModelName", "deviceOS": "deviceOS", "deviceOSVersion": "deviceOSVersion", "browser": "browser", "browserVersion": "browserVersion", "language": "language", "userAgent": "userAgent", "cost": 0, "revenue": 0, "totalRevenue": 0, "trackingDomain": "trackingDomain", "externalId": "externalId", "clickId": "clickId", "conversionId": "conversionId", "conversionTransaction": "conversionTransaction", "subCampaign": "subCampaign", "t1": "t1", "t2": "t2", "t3": "t3", "t4": "t4", "t5": "t5", "t6": "t6", "t7": "t7", "t8": "t8", "t9": "t9", "t10": "t10", "t11": "t11", "t12": "t12", "t13": "t13", "t14": "t14", "t15": "t15", "t16": "t16", "t17": "t17", "t18": "t18", "t19": "t19", "t20": "t20", "eventData1": "eventData1", "eventData2": "eventData2" } ] }
json
application/json

Logs